"  _  _       __   ___       
" | \| |___ __\ \ / (_)_ __  
" | .` / -_) _ \ V /| | '  \ 
" |_|\_\___\___/\_/ |_|_|_|_|
"                            

" Required packages:
" - neovim (duh)
" - neovim-plug-git

" Set course to a line when exiting nvim
:au VimLeave * set guicursor=a:ver1-blinkon0

" Set color for dark backgrounds
:set background=dark

" Line number
:set number

" tabstop
set tabstop=4
set shiftwidth=4

" yaml indentation
autocmd FileType yaml setlocal ts=2 sts=2 sw=2 expandtab

" Start NERDTree when Vim is started without file arguments.
autocmd StdinReadPre * let s:std_in=1
autocmd VimEnter * if argc() == 0 && !exists('s:std_in') | NERDTree | endif

" Mouse support
set mouse=a

let g:airline#extensions#tabline#enabled = 1
let g:airline_powerline_fonts = 1

call plug#begin('~/.config/nvim/plugged')

Plug 'neoclide/coc.nvim', {'branch': 'release'}
Plug 'preservim/nerdtree'
Plug 'ryanoasis/vim-devicons'
Plug 'vim-airline/vim-airline'

call plug#end()

nnoremap <C-b> :NERDTreeToggle<CR>

nnoremap <C-l> :bnext<CR>
nnoremap <C-h> :bprevious<CR>
